View Issue Details

IDProjectCategoryView StatusLast Update
0004237unrealdocumentationpublic2015-07-19 18:37
ReporterCaseyAssigned Tosyzop 
PrioritynormalSeveritytextReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.4-alpha1 
Target VersionFixed in Version3.4-beta1 
Summary0004237: new look conf
DescriptionFor Unreal 3.4, it would be really nice to have a new look conf file like the one for ratbox and hybrid, and charybdis which are easier to use.

The conf for Unreal is a bit harder to use and does not look as simple.
TagsNo tags attached.
3rd party modules

Activities

syzop

2015-07-19 18:36

administrator   ~0018523

Not sure what this was supposed to mean, but the new errors we throw in the config parser are much more useful (so you no longer need to be a programmer to understand it :D)... similarly many 'warnings' have been turned into 'errors' in the parser code, so it will die at the first error rather than spew uit 30 random-looking warnings that will make it look like something horrible happened if you just forgot one ; somewhere ;)
^ of course that may still happen in other cases, but.. anyway much better now.

I've never looked at the other ircds tbh but I think our format is fine. Except the ; in the }; I don't like but ah well :D

Issue History

Date Modified Username Field Change
2013-09-21 02:05 Casey New Issue
2014-03-14 01:14 peterkingalexander Issue cloned: 0004284
2015-07-19 18:36 syzop Note Added: 0018523
2015-07-19 18:36 syzop Status new => resolved
2015-07-19 18:36 syzop Fixed in Version => 3.4-beta1
2015-07-19 18:36 syzop Resolution open => fixed
2015-07-19 18:36 syzop Assigned To => syzop